/* HERO */

.hero {
  position: relative;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
}

.hero-interal::before {
  background: linear-gradient(
    90deg,
    rgba(0,0,0,0.85) 0%,
    rgba(0,0,0,0.65) 35%,
    rgba(0,0,0,0.35) 70%,
    rgba(0,0,0,0.15) 100%
  );
}


.hero-interal .accent {
  color: #ff6a00; /* laranja */
}

.hero-interal {
  background-image: url("../img/hero/hero-interal.jpg");
  display: flex;
  align-items: center;
  justify-content: flex-start; /* alinha à esquerda */
  color: #fff;
}


.hero-interal h1 {
  font-size: clamp(2.2rem, 5vw, 3.5rem);
  letter-spacing: 0.00em;
  line-height: 1.05;
  margin-bottom: 0.25rem;
}

.hero-interal p {
  margin-top: 0;
  font-size: 1.1rem;
  color: rgba(255,255,255,0.8);
  line-height: 1.5;
  max-width: 520px;
}

.hero-interal .hero-content {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  text-align: left;
}


/* SECTIONS */
.section {
  padding: 0.8rem 1rem;
}

.section.alt {
  padding: 0.8rem 1rem;    
  background: #000;
}

/* GRID */
.grid-2 {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  align-items: center;
}

.grid-2.reverse {
  grid-template-columns: 1fr 1fr;
}

.grid-2.reverse {
  direction: rtl;
}

.grid-2.reverse > * {
  direction: ltr;
}

/* RESPONSIVE */
@media (max-width: 768px){

  .grid-2,
  .grid-2.reverse{
    display:grid;
    grid-template-columns:1fr;
    gap:1.2rem; /* espaçamento vertical dos blocos no mobile */
    direction:ltr;
  }

  /* imagem primeiro */
  .grid-2 img{
    order:1;
  }

  /* texto depois */
  .grid-2 > div{
    order:2;
  }

}


.grid-2 img {
  width: 100%;
  height: auto;
  border-radius: 8px;
}

.text-card {
  padding: 4.0rem 2rem;
  border-radius: 16px;
  background: #141414;
  border: 1px solid rgba(255,106,0,0.35);
}

.cta-final {
  margin-top: 4rem;
}
